Name:           netcdf-decoders
Version:        4.1.4
Release:        1%{?dist}
Summary:        Converts WMO GRIB products into NetCDF files

Group:          Applications/Engineering
License:        Distributable
URL:            http://www.unidata.ucar.edu/downloads/decoders/index.jsp
Source0:        ftp://ftp.unidata.ucar.edu/pub/decoders/decoders-%{version}.tar.Z
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  netcdf-devel, udunits-devel


%description
The NetCDF Decoders package converts WMO GRIB products and textual bulletins
into NetCDF formatted files. This package usually works in conjunction with
the LDM package to covert incoming products to the NetCDF format without the
need to store the raw data. The gribtonc decoder converts most models in the
GRIB format. There are perl decoders for the following textual report types:
METAR, buoy, upper air, and synoptic products. This package requires the
installation of NetCDF, UDUNITS, and the Perl-NetCDF packages to work.


%prep
%setup -q -n decoders-%{version}
sed -i -e '1s,/usr/local/bin/perl,%{_bindir}/perl,' src/ldmConnect/ldmConnect


%build
cd src
export CC=gcc
export CPP_NETCDF=-I%{_includedir}/netcdf-3
export LD_NETCDF="-L%{_libdir}/netcdf-3 -lnetcdf"
export LD_UDUNITS="-L%{_libdir} -ludunits"
%configure
make %{?_smp_mflags}


%install
cd src
rm -rf $RPM_BUILD_ROOT
%makeinstall ETCDIR=$RPM_BUILD_ROOT%{_datadir}/%{name} \
             MANDIR=$RPM_BUILD_ROOT%{_mandir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc src/COPYRIGHT src/RELEASE-NOTES
%{_bindir}/ascii2nc
%{_bindir}/buoy2nc
%{_bindir}/buoyWriter
%{_bindir}/gribdump
%{_bindir}/gribtocdl
%{_bindir}/gribtonc
%{_bindir}/ldmConnect
%{_bindir}/metar2nc
%{_bindir}/metar2nc.new1
%{_bindir}/metarWriter
%{_bindir}/syn2nc
%{_bindir}/synopticWriter
%{_bindir}/ua2nc
%{_bindir}/upperairWriter
%{_bindir}/zoneWriter
%{_datadir}/%{name}/buoy.cdl
%{_datadir}/%{name}/ecmwf_1-12.cdl
%{_datadir}/%{name}/eta_211.cdl
%{_datadir}/%{name}/gfs_21-24.cdl
%{_datadir}/%{name}/gfs_211.cdl
%{_datadir}/%{name}/gfs_25-26.cdl
%{_datadir}/%{name}/gfs_37-44.cdl
%{_datadir}/%{name}/gribtonc.entries
%{_datadir}/%{name}/lsfstns.tbl
%{_datadir}/%{name}/metar.cdl
%{_datadir}/%{name}/metar.cdl.new1
%{_datadir}/%{name}/ngm_211.cdl
%{_datadir}/%{name}/ocean_21-24.cdl
%{_datadir}/%{name}/raob.cdl
%{_datadir}/%{name}/ruc2_236.cdl
%{_datadir}/%{name}/ruc_211.cdl
%{_datadir}/%{name}/sfmetar_sa.tbl
%{_datadir}/%{name}/snstns.tbl
%{_datadir}/%{name}/sst_21-24.cdl
%{_datadir}/%{name}/sst_61-64.cdl
%{_datadir}/%{name}/syn.cdl
%{_datadir}/%{name}/ua.cdl
%{_mandir}/man1/ascii2nc.1.gz
%{_mandir}/man1/buoy2nc.1.gz
%{_mandir}/man1/gribdump.1.gz
%{_mandir}/man1/gribtocdl.1.gz
%{_mandir}/man1/gribtonc.1.gz
%{_mandir}/man1/ldmConnect.1.gz
%{_mandir}/man1/metar2nc.1.gz
%{_mandir}/man1/syn2nc.1.gz
%{_mandir}/man1/ua2nc.1.gz



%changelog
* Mon Nov 13 2006 - Orion Poplawski <orion@cora.nwra.com> - 4.1.4-1
- Initial version
